/****************************************************************************************************

		SimpleLightingModel.r
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Lionel
		Date:	10/5/2004

****************************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "SimpleLightingModelDef.h"
#include "interfaceids.h"

#ifndef qUsingResourceLinker
include "SimpleLightingModel.rsr";
#endif


// Simple Lighting Model

resource 'COMP' (R_SimpleLightingModelID) 
{
	kRID_ShaderFamilyID,
	'slim',
	"SDK Anisotropic Model",
	"Lighting Models # 16",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (R_SimpleLightingModelID) 
{
	{
		R_IID_I3DExShader,
		R_CLSID_SimpleLightingModel
	}
};

resource 'PMap' (R_SimpleLightingModelID)
{
	{
		// Sh00 : use this name so TComponentTreePart::RetrieveComponent can work properly
		'Sh00','comp',interpolate,"Shader","{fmly shdr MskI 3 bnon 0 Subm 1 Sort 1 Mini 1 }",
		'clst','in32',			0,"Tangente Direction","",
		'angl','re32',interpolate,"Angle","",
	}
};


resource 'CPUI' (R_SimpleLightingModelID) {
	R_SimpleLightingModelID,
	0,							// MiniPart ID
	0,							// Style
	kParamsBeforeChildren,		//Where Param part is shown
	1							// Is Collapsable
};

